function pileface_naif (N)
% La fonction "pileface_naif" évalue R à l'aide de N simulations “naïves”.

% Somme des quantités simulées.
somme = 0;
% Somme des carrés.
somme2 = 0;

% "i" est le pramètre indexant la boucle de Monte-Carlo.
for i = 1 : N
    % "nbpile" est le nombre de fois qu'on a obtenu "pile".
    nbpile = 0;
    % On lance 100 fois la pièce. (*1)
    for j = 1 : 100
        if rand < 1/2
            nbpile = nbpile + 1;
        end
    end
    % "valeur" est la partie positive de (X-60) qu'on vient de simuler.
    valeur = max (nbpile - 60, 0);
    % On met à jour "somme" et "somme2".
    somme = somme + valeur;
    somme2 = somme2 + valeur * valeur;
end

% Calcul de la moyenne et de l'écart-type empiriques.
moyenne = somme / N;
ectype = sqrt (somme2/N - moyenne*moyenne);

% Affichage du résultat (*2)
disp('Évaluation de R :')
fprintf('%.5f ± %.5f\n', moyenne, 2 * ectype/sqrt(N));

end

% (*1) Notez qu'à l'aide de la syntaxe vectorielle de MATLAB et à la
% conversion implicite des booléens en nombres, les lignes 9 à 20 auraient
% pu être compactées en « valeur = max (sum(rand(1,100)<1/2) - 60, 0); ».

% (*2) La commande "fprintf" de MATLAB permet d'afficher un mélange de
% texte et de nombres, ce que j'utilise pour rendre le résultat sur une
% seule ligne. Le premier argument de "fprintf" correspond à la structure
% du texte à afficher (entre guillemets simples) : à l'intérieur, on trouve
% les codes de format "%.5f" (qui signifie : « un nombre à afficher avec 5
% chiffres après la virgule ») et "\n" (qui signifie : « retour à la ligne
% »). Les valeurs correspondant aux codes de format numériques sont à
% donner dans les arguments suivants de la fonction, dans l'ordre. Pour
% ceux qui connaissent, c'est exactement l'analogue de la fonction "printf"
% du langage C.