function pileface_pref_auto
% La fonction "pileface_pref_auto" évalue R en ajustant automatiquement le
% nombre de simulations pour obtenir la précision relative "precision"
% définie au début du code, le tout en utilisant l'échantillonnage
% préférentiel. Bref, il s'agit simplement de combiner dans un même
% programme les deux sophistications apportées à "pileface_naif". Le code
% est normalement transparent pour qui a lu les trois premiers programmes.

precision = .004;
biais = .6;

N0 = 10000;
somme = 0;
somme2 = 0;
for i = 1 : N0
    nbpile = 0;
    densite = 1;
    for j = 1 : 100
        if rand < biais
            nbpile = nbpile + 1;
            densite = densite * (1/2) / biais;
        else
            densite = densite * (1/2) / (1-biais);
        end
    end
    valeur = densite * max (nbpile - 60, 0);
    somme = somme + valeur;
    somme2 = somme2 + valeur * valeur;
end
moyenne = somme / N0;
ectype = sqrt (somme2/N0 - moyenne*moyenne);

N = 1.1 * (2*ectype / (precision*moyenne))^2;
N = max (ceil(N), N0);
for i = N0+1 : N
    nbpile = 0;
    densite = 1;
    for j = 1 : 100
        if rand < biais
            nbpile = nbpile + 1;
            densite = densite * (1/2) / biais;
        else
            densite = densite * (1/2) / (1-biais);
        end
    end
    valeur = densite * max (nbpile - 60, 0);
    somme = somme + valeur;
    somme2 = somme2 + valeur * valeur;
end

moyenne = somme / N;
ectype = sqrt (somme2/N - moyenne*moyenne);
disp('Évaluation de R :')
fprintf('%.5f ± %.5f\n', moyenne, 2 * ectype/sqrt(N));
end